from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XAtomServer(XInterface, Protocol):
    def getClass(self, atomClass: int) -> list[AtomDescription]: ...
    def getClasses(self, atomClasses: sequence< long >) -> list[list[AtomDescription]]: ...
    def getAtomDescriptions(self, atoms: sequence< AtomClassRequest >) -> list[str]: ...
    def getRecentAtoms(self, atomClass: int, atom: int) -> list[AtomDescription]: ...
    def getAtom(self, atomClass: int, description: str, create: bool) -> int: ...
